Bug 1019132 - Can not remove members of domain from web console.
Can not remove members of domain from web console.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Management Console (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jessica Forrester
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 04:19 EDT by Yujie Zhang
Modified: 2015-05-14 21:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:35:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2013-10-15 04:19:42 EDT
Description of problem:

Created a domain and added several members to the domain, try to delete member by clicking the "X" button, but the members still exist after saving. 

The members can be deleted successfully using rhc.

This issue does not exist on STG(devenv-stage_498).

Version-Release number of selected component (if applicable):
devenv_3897

How reproducible:
always

Steps to Reproduce:
1.Create domain and add members to the domain
2.Delete members of the domain by clicking the "X" button
3.

Actual results:

The domain still exist after deleting and saving, according to the log, it missed the step of posting request of members like "OpenShift API (69.7ms) post https://localhost:443/broker/rest/domain/yujzhang88/members.json [ code: 200 ] (pid:17363)", detail log is as following:

2013-10-15 04:06:13.111 [INFO ] Started PUT "/app/console/domain/yujzhang88/members" for 203.114.244.88 at 2013-10-15 04:06:13 -0400 (pid:2402)
2013-10-15 04:06:13.114 [INFO ] Processing by MembersController#update as HTML (pid:2402)
2013-10-15 04:06:13.114 [INFO ] Parameters: {"utf8"=>"✓", "authenticity_token"=>"36aNp9w7qMV/uoBDIyH0LbTdZe0KhspFBGDMsbK7NbU=", "members"=>[{"x"=>"0", "login"=>"", "role"=>"edit"}], "button"=>"", "domain_id"=>"yujzhang88"} (pid:2402)
2013-10-15 04:06:13.116 [DEBUG] Session contents: {"ticket"=>"eXVqemhhbmc4OA==", "api_ticket"=>"03f29575a5d1368e4c77a8f9a9118e73bf2688085068a75989af704e92721f35", "login"=>"yujzhang88", "streamline_type"=>:full, "terms"=>true, "session_id"=>"23f811864b51391f61978dd115639d48", "domain_cache_key_component"=>"1381822656.3106349", "has_sshkey"=>false, "caps"=>[-1, 3, 16, 1, [:small, :medium], "silver", true], "_csrf_token"=>"36aNp9w7qMV/uoBDIyH0LbTdZe0KhspFBGDMsbK7NbU=", "flash"=>#<ActionDispatch::Flash::FlashHash:0x00000005ccc3d8 @used=#<Set: {}>, @closed=false, @flashes={}, @now=nil>} (pid:2402)
2013-10-15 04:06:13.181 [DEBUG] OpenShift API (62.4ms) get https://localhost:443/broker/rest/domain/yujzhang88.json?include=application_info [ code: 200 ] (pid:2402)
2013-10-15 04:06:13.183 [INFO ] Redirected to https://ec2-107-22-69-26.compute-1.amazonaws.com/app/console/domain/yujzhang88 (pid:2402)
2013-10-15 04:06:13.183 [INFO ] Completed 302 Found in 69ms (pid:2402)
2013-10-15 04:06:13.515 [INFO ] Started GET "/app/console/domain/yujzhang88" for 203.114.244.88 at 2013-10-15 04:06:13 -0400 (pid:2402)
2013-10-15 04:06:13.517 [INFO ] Processing by DomainsController#show as HTML (pid:2402)
2013-10-15 04:06:13.517 [INFO ] Parameters: {"id"=>"yujzhang88"} (pid:2402)

Expected results:

Members should be removed successfully from web console.

Additional info:
Comment 1 Jessica Forrester 2013-10-15 09:36:20 EDT
Fix is in https://github.com/openshift/origin-server/pull/3887
Comment 2 openshift-github-bot 2013-10-16 14:38:46 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/db6233c2a8c1673667cbd880e7bae3a361663cd2
Bug 1019132 - removed member is not saved
Comment 3 Yujie Zhang 2013-10-17 01:47:09 EDT
Tested on devenv_3907, members can be removed from web console now, so verify this bug, thanks.

Note You need to log in before you can comment on or make changes to this bug.